> ## Documentation Index
> Fetch the complete documentation index at: https://docs.repdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Analysis Trend

> # Description

Get trend analysis data for questions.

# Payload

```json
{
    "fromDate": string,
    "toDate": string,
    "filter": array,
    "groups": object,
    "type": string,
    "excludeQuestions": array
}
```

where:

* `fromDate`: start date in ISO format. **Required**.
* `toDate`: end date in ISO format. **Required**.
* `filter`: array of filters to filter the responses. Optional.
* `groups`: Object indexed by question id with a `q` as prefix. Every key has assigned an array with the question ids with `q` prefix that are the same question through different concepts inside a concept test. Only needed for project with Concept Test or Question Loops. Optional.
* `type`: Type of trend data to get the analysis data. It can be one of the following: `hourly`, `daily`, `monthly` and `yearly`. **Required**.
* `excludeQuestions`: Array of question ids. Questions specified in this array belong to a Contact Info item, specifically the country and state questions that should be excluded from analysis. Optional.

# Response 

## 200 OK

```json
{
  "projectId": string,
  "fromDate": string,
  "toDate": string,
  "filter": array,
  "dateFilter": {
    "startDate": string,
    "endDate": string
  },
  "responses": {
    "qQuestionId": object,
  }
}
```
where:

* `projectId`: unique identifier of the project.
* `fromDate`: start date received as param to the query in ISO format.
* `toDate`: end date received as param to the query in ISO format.
* `dateFilter`: Object of date filters used for querying the responses.
* `filter`: Array of filters sent in the request.
* `responses`: object mapping unique question identifiers to trend analysis data for every question.

## 400 Bad Request
> Missing or invalid `type`/`projectId`/`fromDate`/`toDate` fields.

## 401 Unauthorized
> Invalid authorization.

## 404 Not Found
> Resource not found.

## 500 Internal Server Error
> Error occurred in the service.

# Description

Get trend analysis data for questions.

# Payload

```json theme={null}
{
    "fromDate": string,
    "toDate": string,
    "filter": array,
    "groups": object,
    "type": string,
    "excludeQuestions": array
}
```

where:

* `fromDate`: start date in ISO format. **Required**.
* `toDate`: end date in ISO format. **Required**.
* `filter`: array of filters to filter the responses. Optional.
* `groups`: Object indexed by question id with a `q` as prefix. Every key has assigned an array with the question ids with `q` prefix that are the same question through different concepts inside a concept test. Only needed for project with Concept Test or Question Loops. Optional.
* `type`: Type of trend data to get the analysis data. It can be one of the following: `hourly`, `daily`, `monthly` and `yearly`. **Required**.
* `excludeQuestions`: Array of question ids. Questions specified in this array belong to a Contact Info item, specifically the country and state questions that should be excluded from analysis. Optional.

# Response

## 200 OK

```json theme={null}
{
  "projectId": string,
  "fromDate": string,
  "toDate": string,
  "filter": array,
  "dateFilter": {
    "startDate": string,
    "endDate": string
  },
  "responses": {
    "qQuestionId": object,
  }
}
```

where:

* `projectId`: unique identifier of the project.
* `fromDate`: start date received as param to the query in ISO format.
* `toDate`: end date received as param to the query in ISO format.
* `dateFilter`: Object of date filters used for querying the responses.
* `filter`: Array of filters sent in the request.
* `responses`: object mapping unique question identifiers to trend analysis data for every question.

## 400 Bad Request

> Missing or invalid `type`/`projectId`/`fromDate`/`toDate` fields.

## 401 Unauthorized

> Invalid authorization.

## 404 Not Found

> Resource not found.

## 500 Internal Server Error

> Error occurred in the service.


## OpenAPI

````yaml POST /multiple-question-analysis-service/trend/{projectId}
openapi: 3.0.3
info:
  title: SightX API
  version: 1.0.0
  description: >-
    SightX REST API documentation. Most responses are JSON; some export
    endpoints return files. API access is a paid add-on — contact
    sales@sightx.io for details.
servers:
  - url: https://auth.admin.sightx.io
    description: Authentication (Production)
  - url: https://auth.staging-admin.sightx.io
    description: Authentication (Staging)
security:
  - AuthorizationHeader: []
paths:
  /multiple-question-analysis-service/trend/{projectId}:
    post:
      summary: Fetch Analysis Trend
      description: >-
        # Description


        Get trend analysis data for questions.


        # Payload


        ```json

        {
            "fromDate": string,
            "toDate": string,
            "filter": array,
            "groups": object,
            "type": string,
            "excludeQuestions": array
        }

        ```


        where:


        * `fromDate`: start date in ISO format. **Required**.

        * `toDate`: end date in ISO format. **Required**.

        * `filter`: array of filters to filter the responses. Optional.

        * `groups`: Object indexed by question id with a `q` as prefix. Every
        key has assigned an array with the question ids with `q` prefix that are
        the same question through different concepts inside a concept test. Only
        needed for project with Concept Test or Question Loops. Optional.

        * `type`: Type of trend data to get the analysis data. It can be one of
        the following: `hourly`, `daily`, `monthly` and `yearly`. **Required**.

        * `excludeQuestions`: Array of question ids. Questions specified in this
        array belong to a Contact Info item, specifically the country and state
        questions that should be excluded from analysis. Optional.


        # Response 


        ## 200 OK


        ```json

        {
          "projectId": string,
          "fromDate": string,
          "toDate": string,
          "filter": array,
          "dateFilter": {
            "startDate": string,
            "endDate": string
          },
          "responses": {
            "qQuestionId": object,
          }
        }

        ```

        where:


        * `projectId`: unique identifier of the project.

        * `fromDate`: start date received as param to the query in ISO format.

        * `toDate`: end date received as param to the query in ISO format.

        * `dateFilter`: Object of date filters used for querying the responses.

        * `filter`: Array of filters sent in the request.

        * `responses`: object mapping unique question identifiers to trend
        analysis data for every question.


        ## 400 Bad Request

        > Missing or invalid `type`/`projectId`/`fromDate`/`toDate` fields.


        ## 401 Unauthorized

        > Invalid authorization.


        ## 404 Not Found

        > Resource not found.


        ## 500 Internal Server Error

        > Error occurred in the service.
      operationId: >-
        fetch-analysis-trend-post-multiple-question-analysis-service-trend-projectid
      parameters:
        - name: Authorization
          in: header
          required: true
          description: Authorization token
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
            example:
              fromDate: '2020-01-01'
              toDate: '2022-12-31'
              filter: []
              groups:
                qQuestionId:
                  - qRelatedQuestionId1
                  - qRelatedQuestionId1
              type: hourly
              excludeQuestions: []
      responses:
        '200':
          description: Fetch Analysis Trend
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
              example:
                projectId: 60de2ba329a7230061e209f6
                fromDate: '2020-01-01'
                toDate: '2022-12-31'
                filter: []
                dateFilter:
                  startDate: '2020-01-01'
                  endDate: '2022-12-31'
                responses:
                  qQuestionId: {}
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
      servers:
        - url: https://multiple-question-analysis.sightx.io
components:
  securitySchemes:
    AuthorizationHeader:
      type: apiKey
      in: header
      name: Authorization
      description: Access token obtained from the m2m-token endpoint.

````